summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2006-09-18 14:15:18 +0000
committer Eric Hameleers <alien@slackware.com>2006-09-18 14:15:18 +0000
commit32f2a900713dd623e09a312172a0fd8ae01df28c (patch)
treec4156b51fc55dfc458a74a32fba02de4a548c3e7
parent32bfd62eb2d8efb7844ac97bcc7782b46c30a3b4 (diff)
downloadasb-32f2a900713dd623e09a312172a0fd8ae01df28c.tar.gz
asb-32f2a900713dd623e09a312172a0fd8ae01df28c.tar.xz
Update
-rwxr-xr-xrt2500/build/rt2500.SlackBuild59
1 files changed, 25 insertions, 34 deletions
diff --git a/rt2500/build/rt2500.SlackBuild b/rt2500/build/rt2500.SlackBuild
index 4245d909..1fd3a52c 100755
--- a/rt2500/build/rt2500.SlackBuild
+++ b/rt2500/build/rt2500.SlackBuild
@@ -41,25 +41,20 @@ if [ "$TMP" = "" ]; then
fi
PRGNAM=rt2500
-VERSION=1.1.0.b3
-SRCVER=1.1.0-b3
+VERSION=1.1.0.b4
+SRCVER=1.1.0-b4
ARCH=${ARCH:-i486}
-BUILD=2
+BUILD=1
KVER=${KVER:-`uname -r`}
KSRC=${KSRC:-/lib/modules/${KVER}/build}
PATCHLEVEL=`echo $KVER | cut -d. -f2`
-
PREDOC="cp -a ./Module/README README.module"
DOCS="CHANGELOG FAQ LICENSE THANKS ./Module/iwpriv_usage.txt README.module"
-# If you have more source files, list them here as SOURCE[1], SOURCE[2], etc.
-# If you know the URL for a source file, you can put that into the SRCURL[]
-# variable, and the SlackBuild script will try to download it for you.
-
-SOURCE[0]="${PRGNAM}-${SRCVER}.tar.gz"
-SRCURL[0]="http://ovh.dl.sourceforge.net/sourceforge/rt2400/${PRGNAM}-${SRCVER}.tar.gz"
+SOURCE="${PRGNAM}-${SRCVER}.tar.gz"
+SRCURL="http://surfnet.dl.sourceforge.net/sourceforge/rt2400/rt2500-1.1.0-b4.tar.gz"
##
## --- with a little luck, you won't have to edit below this point --- ##
@@ -101,21 +96,20 @@ fi
# --- SOURCE FILE AVAILABILITY ---
-for (( i = 0; i < ${#SOURCE[*]}; i++ )) ; do
- if ! [ -f ${CWD}/${SOURCE[$i]} ]; then
- if ! [ "${SRCURL[$i]}" = "" ]; then
- echo "Source '${SOURCE[$i]}' not available yet... will download now:"
- wget -nv -O "${CWD}/${SOURCE[$i]}" "${SRCURL[$i]}"
- if [ $? -ne 0 ]; then
- echo "Downloading '${SOURCE[$i]}' failed... aborting the build."
- exit 1
- fi
- else
- echo "File '${SOURCE[$i]}' not available... aborting the build."
+if ! [ -f ${CWD}/${SOURCE} ]; then
+ if ! [ "${SRCURL}" = "" ]; then
+ echo "Source '${SOURCE}' not available yet... will download now:"
+ wget -nv -O "${CWD}/${SOURCE}" "${SRCURL}"
+ if [ $? -ne 0 ]; then
+ echo "Downloading '${SOURCE}' failed... aborting the build."
+ mv "${CWD}/${SOURCE} "${CWD}/${SOURCE}.FAIL
exit 1
fi
+ else
+ echo "File '${SOURCE}' not available... aborting the build."
+ exit 1
fi
-done
+fi
if [ "$1" == "--download" ]; then
echo "Download complete."
@@ -148,15 +142,14 @@ cd $TMP/tmp-$PRGNAM
# --- TARBALL EXTRACTION,PATCH,MODIFY ---
echo "Extracting the source archive(s) for $PRGNAM..."
-for (( i = 0; i < ${#SOURCE[*]}; i++ )) ; do
- if `file $CWD/${SOURCE[$i]} | grep -q ": bzip2"`; then
- tar -xjvf $CWD/${SOURCE[$i]}
- elif `file $CWD/${SOURCE[$i]} | grep -qi ": zip"`; then
- unzip $CWD/${SOURCE[$i]}
- else
- tar -xzvf $CWD/${SOURCE[$i]}
- fi
-done
+if `file $CWD/${SOURCE} | grep -q ": bzip2"`; then
+ tar -xjvf $CWD/${SOURCE}
+elif `file $CWD/${SOURCE} | grep -qi ": zip"`; then
+ unzip $CWD/${SOURCE}
+else
+ tar -xzvf $CWD/${SOURCE}
+fi
+
mv ${PRGNAM}-${SRCVER} ${PRGNAM}-${VERSION}
cd ${PRGNAM}-${VERSION}
chown -R root.root *
@@ -219,7 +212,7 @@ cp -a $DOCS \
chmod -R a-w $PKG/usr/doc/$PRGNAM-$VERSION/*
# Compress the man page(s)
-[ -d $PKG/usr/man ] && find $PKG/usr/man -type f -exec gzip -9f {} \;
+[ -d $PKG/usr/man ] && find $PKG/usr/man -name "*.?" -type f -exec gzip -9f {} \;
# Strip binaries
( cd $PKG
@@ -231,8 +224,6 @@ chmod -R a-w $PKG/usr/doc/$PRGNAM-$VERSION/*
# --- OWNERSHIP, RIGHTS ---
chmod -R o-w $PKG
-chown root:bin $PKG/usr/bin/* $PKG/usr/sbin/* $PKG/bin/* $PKG/sbin/* \
- $PKG/usr/X11R6/bin/* $PKG/opt/kde/bin/* 2>/dev/null
# --- PACKAGE DESCRIPTION ---